package com.yami.shop.distribution.comment.Enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 分销收入类型
 */
@Getter
@AllArgsConstructor
public enum DistributionUserIncomeTypeEnum {
    /**
     * 一代奖励
     */
    AWARD_ONE(1, "一代奖励"),
    /**
     * 二代奖励
     */
    AWARD_TWO(2, "二代奖励"),

    /**
     * 邀请奖励
     */
    INVITATION(3, "邀请奖励");

    private int value;
    private String desc;
}
